## pykulersky 0.5.5

=== debian/changelog ===
pykulersky (0.5.5-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 18 Sep 2024 09:33:48 +0100

pykulersky (0.5.5-1) unstable; urgency=medium

  * Initial release. (Closes: #1081143)

 -- Edward Betts <edward@4angle.com>  Sun, 08 Sep 2024 17:28:55 +0100

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pykulersky
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=--no-cov

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf pykulersky.egg-info/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pykulersky-$1\.tar\.gz/ \
  https://github.com/emlove/pykulersky/tags .*/v?(\d\S+)\.tar\.gz

## pykulersky 0.5.8

=== Makefile ===
.PHONY: clean clean-test clean-pyc clean-build help
.DEFAULT_GOAL := help

define BROWSER_PYSCRIPT
import os, webbrowser, sys

from urllib.request import pathname2url

webbrowser.open("file://" + pathname2url(os.path.abspath(sys.argv[1])))
endef
export BROWSER_PYSCRIPT

define PRINT_HELP_PYSCRIPT
import re, sys

for line in sys.stdin:
	match = re.match(r'^([a-zA-Z_-]+):.*?## (.*)$$', line)
	if match:
		target, help = match.groups()
		print("%-20s %s" % (target, help))
endef
export PRINT_HELP_PYSCRIPT

BROWSER := python -c "$$BROWSER_PYSCRIPT"

help:
	@python -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)

clean: clean-build clean-pyc clean-test ## remove all build, test, coverage and Python artifacts

clean-build: ## remove build artifacts
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -f {} +

clean-pyc: ## remove Python file artifacts
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test: ## remove test and coverage artifacts
	rm -fr .tox/
	rm -f .coverage
	rm -fr htmlcov/
	rm -fr .pytest_cache

lint: ## check style with flake8
	flake8 pykulersky tests

test: ## run tests quickly with the default Python
	pytest

test-all: ## run tests on every Python version with tox
	tox

coverage: ## check code coverage quickly with the default Python
	coverage run --source pykulersky -m pytest
	coverage report -m
	coverage html
	$(BROWSER) htmlcov/index.html

release: dist ## package and upload a release
	twine upload dist/*

dist: clean ## builds source and wheel package
	python setup.py sdist
	python setup.py bdist_wheel
	ls -l dist

install: clean ## install the package to the active Python's site-packages
	python setup.py install

=== debian/changelog ===
pykulersky (0.5.8-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Wed, 29 Jan 2025 09:04:03 +0000

=== debian/control ===
Source: pykulersky
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-bleak <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-cov <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/emlove/pykulersky
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pykulersky
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pykulersky.git

Package: python3-pykulersky
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Library to control Brightech Kuler Sky Bluetooth LED smart lamps
 This library allows for the discovery and control of Brightech Kuler Sky
 Bluetooth LED smart lamps. It can be used to find nearby lamps, retrieve their
 current color settings, and change the color of the lamps. Connectivity to the
 lamps is managed through Bluetooth, ensuring local control without relying on
 external servers.

=== debian/watch ===
version=4
https://github.com/emlove/pykulersky/tags .*/v?(\d\S+)\.tar\.gz

## pykulersky 0.6.0

=== debian/changelog ===
pykulersky (0.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Upstream now requires python3-bleak (>= 1.0.1).
  * Switch to autopkgtest-pkg-pybuild.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Mon, 07 Jul 2025 21:36:10 +0200

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,16 @@
  python3-all,
  python3-setuptools,
 Build-Depends-Indep:
- python3-bleak <!nocheck>,
+ python3-bleak (>= 1.0.1) <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
  python3-pytest-cov <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/emlove/pykulersky
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pykulersky
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pykulersky.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-pykulersky
 Architecture: all
